Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v3.4
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    系统

    # 列出系统操作日志

    # 请求

    GET /openapi/system/operation
    
    1

    # Query

    参数名类型描述必填
    searchTypestring搜索类型,可选值:
    all:全部
    project:项目
    user:用户
    function:功能
    status:状态码
    是
    projectKeystring项目标识否
    usernamestring用户名否
    functionstring功能否
    statusint状态码否
    perPageint每页数量是
    pageint页码是

    # 返回

    {
        "operation_logs": [
            {
                "username": "admin",                  // 用户名
                "project_key": "yaml",                // 项目标识
                "method": "更新",                      // 操作
                "function": "自定义工作流",             // 功能
                "scene": "",                          // 场景
                "targets": [],                        // 当 scene 为 environment 时,targets 为环境名称列表
                "detail": "dingdingshenpi",           // 详情
                "request_body": ".....",              // 具体值省略,request_body类型可能为 json 或 yaml
                "body_type": "yaml",                  // body_type 有三种值,""、"json"、"yaml",老数据可能为空
                "status": 200,                        // 状态码
                "created_at": 1744360992              // 创建时间
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "新建",
                "function": "自定义工作流任务",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "json",
                "status": 200,
                "created_at": 1744360968
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "更新",
                "function": "自定义工作流",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "yaml",
                "status": 200,
                "created_at": 1744360964
            }
        ],
        "total": 107116
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44

    # 列出环境操作日志

    # 请求

    GET /openapi/system/operation/env
    
    1

    # Query

    参数名类型描述必填
    projectKeystring项目标识是
    envNamestring环境名称是
    searchTypestring搜索类型,可选值:
    all:全部
    user:用户
    function:功能
    status:状态码
    detail:详情
    是
    usernamestring用户名否
    functionstring功能否
    statusint状态码否
    detailstring详情否
    perPageint每页数量是
    pageint页码是

    # 返回

    {
        "operation_logs": [
            {
                "username": "admin",                  // 用户名
                "project_key": "yaml",                // 项目标识
                "method": "更新",                      // 操作
                "function": "自定义工作流",             // 功能
                "scene": "",                          // 场景
                "targets": [],                        // 当 scene 为 environment 时,targets 为环境名称列表
                "detail": "dingdingshenpi",           // 详情
                "request_body": ".....",              // 具体值省略,request_body类型可能为 json 或 yaml
                "body_type": "yaml",                  // body_type 有三种值,""、"json"、"yaml",老数据可能为空
                "status": 200,                        // 状态码
                "created_at": 1744360992              // 创建时间
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "新建",
                "function": "自定义工作流任务",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "json",
                "status": 200,
                "created_at": 1744360968
            },
            {
                "username": "admin",
                "project_key": "yaml",
                "method": "更新",
                "function": "自定义工作流",
                "scene": "",
                "targets": [],
                "detail": "dingdingshenpi",
                "request_body": ".....",
                "body_type": "yaml",
                "status": 200,
                "created_at": 1744360964
            }
        ],
        "total": 107116
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44

    ← 用户自定义账号系统→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式